# DataExchange
TKSTEP209
StepFEA

# StepFEA_ElementOrElementGroup Class Reference

Representation of STEP SELECT type ElementOrElementGroup
.

`#include <StepFEA_ElementOrElementGroup.hxx>`

Inheritance diagram for StepFEA_ElementOrElementGroup:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepFEA_ElementOrElementGroup ()
| Empty constructor .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a kind of ElementOrElementGroup select type 1 -> ElementRepresentation from StepFEA 2 -> ElementGroup from StepFEA 0 else .
Standard_EXPORT Handle_StepFEA_ElementRepresentation | ElementRepresentation () const
| Returns Value as ElementRepresentation (or Null if another type) .
Standard_EXPORT Handle_StepFEA_ElementGroup | ElementGroup () const
| Returns Value as ElementGroup (or Null if another type) .

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_ElementOrElementGroup::StepFEA_ElementOrElementGroup | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepFEA_ElementOrElementGroup::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT Handle_StepFEA_ElementGroup StepFEA_ElementOrElementGroup::ElementGroup | ( |  | ) | const

Standard_EXPORT Handle_StepFEA_ElementRepresentation StepFEA_ElementOrElementGroup::ElementRepresentation | ( |  | ) | const

void StepFEA_ElementOrElementGroup::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepFEA_ElementOrElementGroup::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepFEA_ElementOrElementGroup::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

The documentation for this class was generated from the following file:

- StepFEA_ElementOrElementGroup.hxx